Subject: Re: RFC 3056

From: [email-masked]
Date: Fri, 1 Mar 2002 07:28:50 +0100

Hi Pekka, Tony,

Thanks for your replies. I do have 1 question with respect to the 
pseudo-interfaces. For **configured** tunnels the ifIndex for the 
corresponding pseudo interface is created as a by-product of row creation 
in  the tunnelConfigTable (RFC 2667). However, for automatic tunnels no row is created in the tunnelConfigTable. But what is then the trigger to create an ifIndex for a pseudo interface for 
an **automatic** tunnel?

Thanks for any clarifications you can provide.

Best regards,

        Francis.

====================

Pekka Savola <[email-masked]>
28/02/2002 11:21

        To:     Francis ARTS/BE/ALCATEL@ALCATEL
        cc:     [email-masked]
        Subject:        Re: RFC 3056 

On Thu, 28 Feb 2002 [email-masked] wrote:
>         R1 (6to4 router) -- R2 (IPv4) -- R3 (IPv4) -- R4 (relay router)
> 
> Note: R1 is a pure 6to4 router; R2 and R3 are part of the IPv4 cloud; R5 

> is a relay router.
> 
> In the 6to4 model R1 and R4 need to have a 6to4 address. From RFC 3056 I 

> understand that these 6to4 addresses have to be configured on the 
> interface between R1 and R2 (R4 and R3) respectively. I am now puzzled 
> between the following 2 observations:
> 1) I would also expect to have an IPv6 address configured on R2's end of 

> the R1-R2 interface. After all, only configuring an IPv6 address on 1 of 

> the routers connected to an interface would be a bit strange? A similar 
> remark holds for R3 on the R4-R3 interface.
> 2) However, no IPv6 address should be assigned to R2 (R3) since R2 (R3) 
is 
> only IPv4 capable?

It's 6to4 _pseudo_ - interface :-).  It's not assigned (normally) on any
physical link.  The only address you need between R1-R2 and R3-R4 are IPv4
addresses (from which, a 6to4 address may be derived from).

HTH,

-- 
Pekka Savola                 "Tell me of difficulties surmounted,
Netcore Oy                   not those you stumble over and fall"
Systems. Networks. Security.  -- Robert Jordan: A Crown of Swords

--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------

Tony Hain wrote:

Pekka Savola wrote:
> On Thu, 28 Feb 2002 [email-masked] wrote:
> >         R1 (6to4 router) -- R2 (IPv4) -- R3 (IPv4) -- R4
> (relay router)
> >
> > Note: R1 is a pure 6to4 router; R2 and R3 are part of the
> IPv4 cloud; R5
> > is a relay router.
> >
> > In the 6to4 model R1 and R4 need to have a 6to4 address.
> From RFC 3056 I
> > understand that these 6to4 addresses have to be configured on the
> > interface between R1 and R2 (R4 and R3) respectively. I am
> now puzzled
> > between the following 2 observations:
> > 1) I would also expect to have an IPv6 address configured
> on R2's end of
> > the R1-R2 interface. After all, only configuring an IPv6
> address on 1 of
> > the routers connected to an interface would be a bit
> strange? A similar
> > remark holds for R3 on the R4-R3 interface.
> > 2) However, no IPv6 address should be assigned to R2 (R3)
> since R2 (R3) is
> > only IPv4 capable?
>
> It's 6to4 _pseudo_ - interface :-).  It's not assigned
> (normally) on any
> physical link.  The only address you need between R1-R2 and
> R3-R4 are IPv4
> addresses (from which, a 6to4 address may be derived from).
>

In case that was not clear; the IPv6 address on R1 & R4 are assigned to
the pseudo interface that forms a logical point-to-point tunnel over the
physical interfaces with IPv4 addresses.

Another way to look at it is to consider the IPv4 components to be the
logical equivalent of a multi-point Layer-2 network (like frame relay or
ATM) so the IPv4 wrapper becomes just another framing wrapper for the
2002::/16 IPv6 subnet.

Tony

--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------

---

From: Pekka Savola <[email-masked]>
Date: Fri, 1 Mar 2002 09:17:09 +0200 (EET)

On Fri, 1 Mar 2002 [email-masked] wrote:
> corresponding pseudo interface is created as a by-product of row
> creation in the tunnelConfigTable (RFC 2667). However, for automatic
> tunnels no row is created in the tunnelConfigTable. But what is then the
> trigger to create an ifIndex for a pseudo interface for an **automatic**
> tunnel?
> 

Well, if no such thing is created, I think that's an implementation issue.  
Anyway, RFC3056 is more of a ngtrans than ipng.  I don't see why you 
couldn't create an entry for automatic tunnels, the only thing to watch 
out for is that tunnelConfigRemoteAddress is zero.